
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>readonly和disabled区别详解 / iVAN</title>

    <meta name="description" content="readonly和disabled区别详解  在html中input的属性readonly和disabled让很多用户都觉得是一样的,下面我来给大家介绍readonly和disabled区别,有需要了解的朋友可参考.   先看input的属性定义:   属性 值 描述 disabled  disabled 当 input 元素首次加载时禁用此元素,这样用户就无法在其中写文本,或选定它.  注释:不能与 type=&quot;hidden&quot; 一同使用.   readonly  readonly  指示此域的值不能被修改.  注释: ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">readonly和disabled区别详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 在html中input的属性readonly和disabled让很多用户都觉得是一样的，下面我来给大家介绍readonly和disabled区别，有需要了解的朋友可参考。</p>
<p> <br />
<br />先看input的属性定义：<br />
 <br />
属性 值 描述</p>
<p>disabled  disabled 当 input 元素首次加载时禁用此元素，这样用户就无法在其中写文本，或选定它。 <br />
注释：不能与 type="hidden" 一同使用。<br />
 <br />
readonly  readonly  指示此域的值不能被修改。 <br />
注释：仅可与 type="text" 配合使用。<br />
 </p>
<p>另外我再看看这两个区别，先看代码：</p>
<p>  <br />
readonly代码:&lt;input type="text" name="readonly" readonly="readonly"  /&gt;</p>
<p>readonly不可编辑，可复制，可选择,可以接收焦点但不能被修改，后台会接收到传值.</p>
<p>disabled代码: &lt;input type="text"  name="disabled" disabled="disabled" /&gt;</p>
<p>disabled不可编辑，不可复制，不可选择，不能接收焦点,后台也不会接收到传值</p>
<p>我们常常在用户按了提交按钮后，利用javascript将提交按钮disabled掉，这样可以防止网络条件比较差的环境下，用户反复点提交按钮导致数据冗余地存入数据库。</p>
<p>disabled和readonly这两个属性有一些共同之处，比如都设为true，则form属性将不能被编辑，往往在写js代码的时候容易混合使用这两个属性，其实他们之间是有一定区别的。</p>
<p>如果一个输入项的disabled设为true，则该表单输入项不能获取焦点，用户的所有操作（鼠标点击和键盘输入等）对该输入项都无效，最重要的一点是当提交表单时，这个表单输入项将不会被提交。</p>
<p>而readonly只是针对文本输入框这类可以输入文本的输入项，如果设为true，用户只是不能编辑对应的文本，但是仍然可以聚焦焦点，并且在提交表单的时候，该输入项会作为form的一项提交。</p>
<table>
<tbody>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td>
            <br />&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;</p>
<p>&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;</p>
<p>&lt;head&gt;</p>
<p>&lt;meta http-equiv="Content-Type" content="text/html; charset=utf-8" /&gt;</p>
<p>&lt;title&gt;Untitled Document&lt;/title&gt;</p>
<p>&lt;/head&gt;</p>
<p>&lt;body&gt;</p>
<p>&lt;form id="form1" name="form1" method="get" action=""&gt;</p>
<p>&lt;input name="q1" type="text" id="q1" value="readonly" readonly="true" /&gt;</p>
<p>&lt;input name="q2" type="text" disabled="disabled" id="q2" value="disabled" /&gt;</p>
<p>&lt;input type="submit" name="Submit" value="Submit" /&gt;</p>
<p>&lt;/form&gt;</p>
<p>&lt;/body&gt;</p>
<p>&lt;/html&gt;</p>
</td>
</tr>
</tbody>
</table>
<p>小技巧：</p>
<p>diabled:可用readonly代替，background-color:#cccccc;加上灰色背景色就可以</p>
<table>
<tbody>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td>
            <br />&lt;input id="mytext" type="text" value="我是不能用的"&gt;<br />
            &lt;input type="button" value="disabled" onClick="javascript: document.all.mytext.disabled='false'"&gt;<br />
            &lt;input type="button" value="enable" onClick="javascript: document.all.mytext.removeAttribute('disabled')"&gt;</p>
</td>
</tr>
</tbody>
</table>
<p>注意：document.all.mytext.disabled=true；表单控件不能用</p>
<p>document.all.mytext.disabled=false；表单控件能用</p>
<table>
<tbody>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td>
            <br />&lt;input id="mytext" type="text" value="我是能用的"&gt;<br />
            &lt;input type="button" value="disable" onClick="if (mytext.disabled==false){ mytext.disabled=true;mytext.value='我是不能用的';this.value='enable'} else { mytext.disabled=false;mytext.value='我是能用的';this.value='disable'}"&gt;</p>
</td>
</tr>
</tbody>
</table>
<p>jquery设置元素的readonly和disabled</p>
<p>1、readonly</p>
<p> </p>
<table>
<tbody>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td>
            <br />   $('input').attr("readonly","readonly")//将input元素设置为readonly</p>
<p>    $('input').removeAttr("readonly");//去除input元素的readonly属性<br />
             <br />
                if($('input').attr("readonly")==true)//判断input元素是否已经设置了readonly属性<br />
             </p>
<p>    对于为元素设置readonly属性和取消readonly属性的方法还有如下两种：<br />
                $('input').attr("readonly",true)//将input元素设置为readonly<br />
                $('input').attr("readonly",false)//去除input元素的readonly属性</p>
<p>    $('input').attr("readonly","readonly")//将input元素设置为readonly<br />
                $('input').attr("readonly","")//去除input元素的readonly属性</p>
</td>
</tr>
</tbody>
</table>
<p> 2、disabled</p>
<table>
<tbody>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td>
            <br />    $('input').attr("disabled","disabled")//将input元素设置为disabled</p>
<p>    $('input').removeAttr("disabled");//去除input元素的disabled属性<br />
             <br />
                if($('input').attr("disabled")==true)//判断input元素是否已经设置了disabled属性</p>
<p>    对于为元素设置disabled属性和取消disabled属性的方法还有如下两种：<br />
                $('input').attr("disabled",true)//将input元素设置为disabled<br />
                $('input').attr("disabled",false)//去除input元素的disabled属性</p>
<p>    $('input').attr("disabled","disabled")//将input元素设置为disabled<br />
                $('input').attr("disabled","")//去除input元素的disabled属性</p>
</td>
</tr>
</tbody>
</table>
<p>去除属性推荐使用removeAttr()这种方式，新版本jquery会不支持attr("readonly","")这种写法</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 13:38:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/input/" title="input">input</a>, <a href="https://www.iamivan.net/tag/disabled/" title="disabled">disabled</a>, <a href="https://www.iamivan.net/tag/%e5%90%8e%e5%8f%b0%e6%8c%89%e9%92%ae%e6%8f%90%e4%ba%a4/" title="后台按钮提交">后台按钮提交</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e5%90%8e%e5%8f%b0%e4%bc%a0%e5%80%bc/" title="前后台传值">前后台传值</a>, <a href="https://www.iamivan.net/tag/%e6%8e%89%e5%90%8e%e5%8f%b0%e6%96%b9%e6%b3%95%e5%b9%b6%e6%8e%a5%e6%94%b6%e5%80%bc/" title="掉后台方法并接收值">掉后台方法并接收值</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0%e5%a4%8d%e5%88%b6/" title="元素复制">元素复制</a>, <a href="https://www.iamivan.net/tag/disable/" title="disable">disable</a>, <a href="https://www.iamivan.net/tag/readonly/" title="readonly">readonly</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e7%bd%ae%e4%b8%8d%e5%8f%af%e7%bc%96%e8%be%91%e5%90%8e/" title="设置不可编辑后">设置不可编辑后</a>, <a href="https://www.iamivan.net/tag/removeattr/" title="removeAttr">removeAttr</a>, <a href="https://www.iamivan.net/tag/%e5%a4%8d%e5%88%b6%e7%bb%99input/" title="复制给input">复制给input</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>readonly和disabled区别详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB2QvNb.html" rel="bookmark">表单中Readonly和Disabled的区别详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了表单中Readonly和Disabled的区别详解,十分的细致,全面,需要了解相关信息的小伙伴们快来仔细研究下吧     Readonly和Disabled是用在表单中的两个属性,它们都能够做到使用户不能够更改表单域中的内容.但是它们之间有着微小的差别,总结如下: Readonly只针对input(text / password)和textarea有效,而disabled对于所有的表单元素都有效,包括select, radio, checkbox, button等. 但是表单			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjVR2p.html" rel="bookmark">C&num;中string&period;Empty和null的区别详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了C#中string.Empty和null的区别详解,本文同时讲解了空字符串和Empty的区别以及string.Empty与null的区别,需要的朋友可以参考下 这是一个及其常见的问题,网上已经有关于这个问题的很多讨论.但是我觉得都是不求甚解,有一些还是在误导别人.下面我来说下我对这三者的理解,如有错误的地方请大家及时指正. 一:&quot;&quot;与string.Empty我认为是一样的.网上有一篇被转载了几十遍的文章是这样说的string.Empty 不分配存储空间,&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmDAqM.html" rel="bookmark">response&period;redirect和Server&period;Transfer的区别详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				redirect|response|server|区别|详解 一般会使用response.redirect这条语句进行地址转向,ASP3.0以后提供了一种新的方法给我们,这种方法更加高效.让我们先来看看response.redirect和Server.Transfer分别是如何Run的! response.redirect其实上是当服务器碰到这条语句时发送一条指令(包含新的地址)给浏览器,然后让浏览器去发送http请求,请求response.redirect后面的那个新的http地址,流程如下:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MY3DQz.html" rel="bookmark">SQL2005版本区别详解&lpar;Enterprise&comma;Development&comma;Workgroup&comma;Standard&comma;Express&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				development|enterprise|express|sql2005|standard|workgroup|区别|详解 早前就一直以为是自己的机子,或是其它什么原因的,可刚刚又在官方下了一次 SQL2005 Express ,在公司机子上安装好后,发现和家里的没啥不同.郁闷得紧,网上淘了一下才恍然大悟.真的想骂娘,没了「企业管理器」和「查询分析器」,那还提供下载干嘛?有个鸟用啊?!!!!! SQL2005 分五个版本,如下所列: 1.Enterprise(企业版) 2.Developme			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7R28M.html" rel="bookmark">JQuery中&dollar;&period;each 和&dollar;&lpar;selector&rpar;&period;each&lpar;&rpar;的区别详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了JQuery中$.each 和$(selector).each()的区别详解,本文给出了多个例子讲解了它们之间的不同之处,需要的朋友可以参考下     一个通用的遍历函数 , 可以用来遍历对象和数组. 数组和含有一个length属性的伪数组对象 (伪数组对象如function的arguments对象)以数字索引进行遍历,从0到length-1, 其它的对象通过的属性进行遍历. $.each()与$(selector).each()不同, 后者专用于jquery对象的遍历, 前			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOamwmM.html" rel="bookmark">innerHTML属性，outerHTML属性，textContent属性，innerText属性区别详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了javascript中的innerHTML属性,outerHTML属性,textContent属性,innerText属性区别详解,都是个人经验的总结,分享给大家,希望大家能够喜欢. innerHTML属性用来读取或设置某个节点内的HTML代码. outerHTML属性用来读取或设置HTML代码时,会把节点本身包括在内. textContent属性用来读取或设置节点包含的文本内容. innerText属性和outerText属性在读取元素节点的文本内容时,得到的值是不一样的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32lZAz.html" rel="bookmark">Bind和Eval的区别详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Bind和Eval的区别详解 1.简单描述Eval和Bind的区别 绑定表达式 &lt;%# Eval(&quot;字段名&quot;) %&gt; &lt;%# Bind(&quot;字段名&quot;) %&gt; 区别 1.eval是只读数据,bind是可更新的．         2.当对次表达式操作时候,必须用Eval 如&lt;%# Eval(&quot;字段名&quot;).ToString().Trim() %&gt;         2.若GridView中绑定列里面 设置 内容格式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYqQ6b.html" rel="bookmark">java equals和&equals;&equals;的区别详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大概说equals和==都比较的是什么: 1. boolean tem = a == b; 首先==比较的肯定是地址,从堆栈的角度说也就是说==比较的是栈上面的内容.因为栈是用来存放地址或是java中八大基本类型中自动变量的字面值(自动变量就是用int a = 1;这种形式来定义的变量).如果是自动变量比较值的话肯定是用==来比较,因为equals()是一个方法,所以必须由对象调用才可以用于比较.而自动变量既不是类的实例也不是类的引用所以不能用equals()方法. 2.boolean tem			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlZWrp.html" rel="bookmark">js监听键盘事件的方法&lowbar;原生和jquery的区别详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				经常需要监听键盘的事件,以便做更好的操作,基本原理是:监听全局键盘,每一个键盘,当用户按下某一按键时,返回对应的键值,然后再判断用户按下了哪一科按键,键值对应按键的名称在最下面列出,自行比对.去以下介绍两种不同的方式 原生键盘监听事件:按下一次按键,分为三个过程,按下-按住-松开 onkeydown:某个键被按下 onkeypress:某个键盘的键被按下或按住 onkeyup:某个键盘的键被松开 使用方法,一般来说,键盘监听是直接在整个页面文档上进行监听的,也就是document上 以下是原生的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEZ96M.html" rel="bookmark" class="title">Web设计核心问题1&colon;什么是Web设计&lpar;4&rpar;</a>
					<div>
						web|设计|问题  1.8 形式和功能的平衡 Web站点设计的关键问题是形式和功能的平衡.在现代主义的影响下,很多设计者坚持认为事物的形式应符合它的功能.考虑到形式是Web金字塔的基础之一,而功能是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp85N3z.html" rel="bookmark" class="title">php设计模式 Interpreter&lpar;解释器模式&rpar;</a>
					<div>
						复制代码 代码如下: &lt;?php /** * 解释器 示例 * * @create_date: 2010-01-04 */ class Expression { function interpr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjOe8M.html" rel="bookmark" class="title">如何把双系统安装到一个分区</a>
					<div>
						在安装双系统的时候,一般的报刊杂志介绍的方法都是把每个系统装到独立的不同分区,以免互相影响,造成不必要的麻烦.比如,Windows 98装到C盘,Windows XP装到D盘.那么,双系统到底能不能装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLAXZb.html" rel="bookmark" class="title">如何选择6类布线系统</a>
					<div>
						在10G甚至万兆铜缆成为热点之时,再来谈6类是不是有点过时?也许有人会这样问.但目前最大多数项目正在采用6类系统却是事实,在此提醒用户的是,选6类一定要选&quot;整体&quot;的6类. 美国通信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7j96M.html" rel="bookmark" class="title">如何在Word 2007表格中拆分单元格</a>
					<div>
						在Word2007文档表格中,通过使用&quot;拆分单元格&quot;功能可以将一 个单元格拆分成两个或多个单元格.通过拆分单元格可以制作比较复杂的多功能 表格,用户可以在Word2007文档表格中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91RjkM.html" rel="bookmark" class="title">Struts2教程9：实现自已的拦截器</a>
					<div>
						在上一篇中介绍了Struts2拦截器的原理,在这一篇中我们将学习一下如何编写自己的拦截器. 一.拦截器的实现 实现一个拦截器非常简单.实际上,一个拦截器就是一个普通的类,只是这个类必须实现com.op ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jOglb.html" rel="bookmark" class="title">使用linq读取分隔符文本文件</a>
					<div>
						 有时我们会处理一些带分隔符数据文本文件.例如,使用&quot;,&quot;分隔的数据,下面介绍下使用linq读取分隔符文本文件的方法 如下图:   然后它们存储到文本文件有这样的列: 代码如下:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A4wAp.html" rel="bookmark" class="title">Photoshop简单合成熊熊燃烧的烈焰马和豹</a>
					<div>
						  简单的截了几张图,希望能把过程讲清楚,其实很简单,大家都能做的到哦~~ 不废话了,上图!(此教程首发设计中国,这里也是一样,完全免费) 效果图! 简单制作过程: 素材 火焰素材 分类: PS合成图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaNZeM.html" rel="bookmark" class="title">PowerPoint2007使用现有演示文稿创建新演示文稿方法</a>
					<div>
						  PowerPoint2007使用现有演示文稿创建新演示文稿方法         1.选择&quot; office 按钮&quot; Q &quot;新建&quot; .&quot;新建演示文稿& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2q15M.html" rel="bookmark" class="title">启动IE时浏览器打开、闪烁然后迅速关闭</a>
					<div>
						故障现象: 启动 Internet Explorer 7.Internet Explorer 8 或 Internet Explorer 9 时浏览器打开.闪烁然后迅速关闭. 解决方案: 解决此问题, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxaXAb.html" rel="bookmark" class="title">Photoshop快速精修玻璃材质的化妆瓶</a>
					<div>
						  修图的重点就是要善于分析,从初片中分析产品的构造.光影及不足之处等;然后分段分层把各部分勾出轮廓,并填充色块;最后逐一渲染颜色,细化光影即可. 原图 最终效果 1.分析修图产品. 2.填充固有色. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxaorb.html" rel="bookmark" class="title">PPT如何输出为图片文件</a>
					<div>
						  PowerPoint 2010支持将演示文稿中的幻灯片输出为JPEG.GIF.TIFF.PNG.BMP等格式的文件,有利于用户在更大范围内交 换或共享演示文稿中的内容. 步骤1:按[Ctrl+0] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2OjoM.html" rel="bookmark" class="title">如何利用小图钉固定常Excel2010文档？</a>
					<div>
						  1.打开Excel表格,点击工具栏的&quot;文件&quot;→&quot;最近所用文件&quot; 文档?-固定资产利用率&quot;&gt; 2.在最近所用的文件里我们就可以看到最近使用的工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WQ4Jb.html" rel="bookmark" class="title">安装win7时出现&OpenCurlyDoubleQuote;windows无法安装&period;&period;&period;用GPT分区形式&rdquo;</a>
					<div>
						  win7无法安装到磁盘处理方式说的是当我们安装系统到提示不能安装在那个磁盘的一步,然后按住shift+F10呼出命令提示符cmd,然后依次输入 diskpart list disk select  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYLvXb.html" rel="bookmark" class="title">如何关闭有道词典开机启动</a>
					<div>
						  如何关闭有道词典开机启动?有道词典是一款强大的翻译软件,很多人在手机和电脑上都安装了有道词典来学习外语.最近,有网友反映,他在电脑上安装了有道词典之后,每次电脑开机,有道词典总是伴随着机器开启,导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa68qM.html" rel="bookmark" class="title">java-问个jdk里描述的 &mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;</a>
					<div>
						问题描述 问个jdk里描述的 -------- 发完碎觉! 解决方案 翻译的问题 Enclosing interface 表示这个类型定义在Map&lt;K,V&gt;里面.Enclosing是动名词 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd64Ymb.html" rel="bookmark" class="title">注入攻击-SQL注入和代码注入</a>
					<div>
						注入攻击 OWASP将注入攻击和跨站脚本攻击(XSS)列入网络应用程序十大常见安全风险.实际上,它们会一起出现,因为 XSS 攻击依赖于注入攻击的成功.虽然这是最明显的组合关系,但是注入攻击带来的不仅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6G2lz.html" rel="bookmark" class="title">关于java中加载和初始化的疑问？各位帮忙分析下</a>
					<div>
						问题描述 关于java中加载和初始化的疑问?各位帮忙分析下 public class ExA { private static ExA a = new ExA(); static { System.o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWqDWp.html" rel="bookmark" class="title">js 前台aspx 写了div 带了一个X的关闭按钮 我想点击X的时候 就弹出是否要关闭？</a>
					<div>
						问题描述 js 前台aspx 写了div 带了一个X的关闭按钮 我想点击X的时候 就弹出是否要关闭? js 前台aspx 写了div 带了一个X的关闭按钮 我想点击X的时候 就弹出是否要关闭? 该怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEv74z.html" rel="bookmark" class="title">又被古董级的库坑了&mdash;&mdash; ibatis typehandler</a>
					<div>
						为了将一个不知道什么类型的java对象存到数据库里面,用了个很恶心的方法:将对象序列化之后,保存到数据库的blob对象.这样整个序列化和反序列化过程,都期望在ibatis中完成,上层就能直接获取到需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNajlz.html" rel="bookmark" class="title">Design Pattern&colon; Adapter 模式 - Object Adapter</a>
					<div>
						您的电脑是个旧电脑,新的滑鼠都在使用USB接口了,而您的电脑上并没有USB,而只有一个PS2接口,这时您可以使用一个USB转PS2的接头作为转换,这样您的电脑就可以使用新滑鼠了(当然您也可以使用USB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRmmmb.html" rel="bookmark" class="title">使用 DES 算法对数据加密</a>
					<div>
						DES算法 提供高质量的数据保护,防止数据未经授权的泄露和未被察觉的修改 具有相当高的复杂性,使得破译的开销超过可能获得的利益,同时又要便于理解和掌握 DES密码体制的安全性应该不依赖于算法的保密,其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY42yp.html" rel="bookmark" class="title">&period;NET Core全新的配置管理&lbrack;共9篇&rsqb;</a>
					<div>
						提到&quot;配置&quot;二字,我想绝大部分.NET开发人员脑海中会立马浮现出两个特殊文件的身影,那就是我们再熟悉不过的app.config和web.config,多年以来我们已经习惯了将结构化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5GweM.html" rel="bookmark" class="title">sql-Java执行SQL的insert语句</a>
					<div>
						问题描述 Java执行SQL的insert语句 public class JDBC_2 { public static void main(String[] args) { try{ Class.fo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40Kn8z.html" rel="bookmark" class="title">对C语言中指针的理解与其基础使用实例&lowbar;C 语言</a>
					<div>
						C语言的指针,关键意思在于&quot;指&quot;. &quot;指&quot;是什么意思? 其实完全可以理解为指示的意思.比如,有一个物体,我们称之为A.正是这个物体,有了这么个称谓,我们才能够进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1EeAz.html" rel="bookmark" class="title">成本致东软利润下滑 刘积仁转型云计算藏危机</a>
					<div>
						软件外包产业,人力成本最高,高到足以使行业翘楚http://www.aliyun.com/zixun/aggregation/9748.html&quot;&gt;东软集团利润下降将近1/4.向云计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZxPWM.html" rel="bookmark" class="title">Java FP&colon; 伪造闭包工厂，创建域对象</a>
					<div>
						最近我们想构建一个需要使用外部依赖进行计算的域对象,同时我们希望在测试的时候能够忽略这些依赖. 最开始,我们简单地在域对象中创建依赖,这使得在测试的过程中,不能随意修改依赖的值. 同样,由于外部依赖仅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo6gOM.html" rel="bookmark" class="title">easyui datagrid 分页怎样更新page&comma;rows参数</a>
					<div>
						问题描述 easyui datagrid 分页怎样更新page,rows参数 第一次查询easyui datagrid显示正常,再次查询时,datagrid中的参数 page和rows还是 上次的值, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqogWb.html" rel="bookmark" class="title">Open Baton起个大早，赶个晚集</a>
					<div>
						开源组织Open Baton在管理和网络编排(MANO)上研究的时间比其他开源MANO组织出现的时间都要早,那么为什么其他开源MANO组织如OSM和Open-O等在网络功能虚拟化(NFV)领域变得如此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye8ZEM.html" rel="bookmark" class="title">当&OpenCurlyDoubleQuote;大数据&rdquo;真正落地 当IT技术接轨商业</a>
					<div>
						ZDNet至顶网服务器频道 04月02日 新闻消息:从2012年以来,&quot;大数据&quot;持续升温(&lt;纽约时报&gt;就把2012年定义为&quot;大数据的十字路口&quot;),跟 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
